{ config, pkgs, ... }:

{
  # Allow unfree packages
  nixpkgs.config.allowUnfree = true;

  # System packages
  environment.systemPackages = with pkgs; [
    # Browsers and communication
    ungoogled-chromium
    librewolf
    discord
    signal-desktop-bin
    
    # Development tools
    zed-editor
    git
    go
    nodejs_24
    python3Full
    openssh
    nodePackages."pnpm"
    
    # Desktop applications
    bitwarden-desktop
    ghostty
    spotify
    vlc
    onlyoffice-desktopeditors
    nextcloud-client
    zotero
    prismlauncher
    
    # GNOME extensions
    gnomeExtensions.appindicator
  ];
} 
